# filesMatching

abstract fun filesMatching(pattern: String, action: Action<in FileCopyDetails>): CopySpec

Configure the org.gradle.api.file.FileCopyDetails for each file whose path matches the specified Ant-style pattern. This is equivalent to using eachFile() and selectively applying a configuration based on the file's path.

#### Return

this

#### Parameters

pattern

Ant-style pattern used to match against files' relative paths

action

action called for the FileCopyDetails of each file matching pattern

abstract fun filesMatching(patterns: Iterable<String>, action: Action<in FileCopyDetails>): CopySpec

Configure the org.gradle.api.file.FileCopyDetails for each file whose path matches any of the specified Ant-style patterns. This is equivalent to using eachFile() and selectively applying a configuration based on the file's path.

#### Return

this

#### Parameters

patterns

Ant-style patterns used to match against files' relative paths

action

action called for the FileCopyDetails of each file matching pattern